#cython: language_level=3

from .capi.obitaxonomy cimport ecotx_t, OBIDMS_taxonomy_p

from libc.stdint   cimport int32_t


cdef class OBI_Taxonomy :

    cdef str name
    cdef OBIDMS_taxonomy_p pointer
    
    cpdef close(self)

 
cdef class OBI_Taxon :

    cdef ecotx_t* pointer
    cdef int32_t  taxid
    cdef int32_t  rank
    cdef int32_t  farest
    cdef ecotx_t* parent
    cdef str name
        
    cpdef int32_t taxid(self)
    
    cpdef int32_t rank(self)
    
    cpdef int32_t farest(self)
    
    cpdef OBI_Taxon parent(self)
